Changelogs » Belvo-python

PyUp Safety actively tracks 267,799 Python packages for vulnerabilities and notifies you when to upgrade.

Belvo-python

0.17.0

* We have had the installation of the package broken for some days. They where changes on the way of deployment that where preventing the project to successfully be used once installed.
  
  * We have fixed the setup process and now we can install and import the `belvo` namespace without issues.

0.16.3

Fixed
  - Added `name` and `url` to project `setup.py`

0.15.0

Added
  - `WidgetToken` resource to allow creating tokens for the Belvo Widget from our python library.
  
  Example:
  python
  from belvo.client import Client
  
  my_client = Client("my-secret-key-id", "my-secret-key-password", "https://sandbox.belvo.co")
  token = my_client.WidgetToken.create()
  
  print(token["access"])

0.14.0

Added
  - Add `certificate` and `private_key` to link create/update
  - Add `username_type` to update link

0.13.0

Added
  - Add `tax-status` endpoints

0.12.0

Added
  - Allow `username_type` when creating a link

0.11.0

Added
  - `belvo.enums.AccessMode` to define allowed choices for `Links.access_mode`
  
  Fixed
  - It was not possible to create recurrent links

0.10.0

Added
  - Balance resource
  - Statements resource
  
  Changed
  - Allow to attach XML for Invoices

0.8.0

Changed
  - All POST, PUT and PATCH requests are now sending `Content-Type: application/json`

0.7.0

- Better error handling, you can now send `raise_exception=True` to raise an `RequestError` when receiving a unsucessful response.
  
  e.g
  python
  backwards compatible
  c.Accounts.create(link="340eb1bc-1cd0-433c-9009-d4816313ff")
  [{'field': 'link', 'message': "'340eb1bc-1cd0-433c-9009-d4816313ff' is not a valid UUID.", 'code': 'invalid'}]
  
  
  force exception on errored response
  c.Accounts.create(link="340eb1bc-1cd0-433c-9009-d4816313ff", raise_exception=True)
  Traceback (most recent call last):
  File "/home/menecio/projects/belvo-python/belvo/http.py", line 97, in post
  r.raise_for_status()
  File "/home/menecio/projects/belvo-python/.venv/lib/python3.7/site-packages/requests/models.py", line 940, in raise_for_status
  raise HTTPError(http_error_msg, response=self)
  requests.exceptions.HTTPError: 400 Client Error: Bad Request for url: http://localhost:8000/api/accounts/
  During handling of the above exception, another exception occurred:
  Traceback (most recent call last):
  File "<input>", line 1, in <module>
  File "/home/menecio/projects/belvo-python/belvo/resources.py", line 119, in create
  self.endpoint, data=data, raise_exception=raise_exception, **kwargs
  File "/home/menecio/projects/belvo-python/belvo/http.py", line 99, in post
  raise RequestError(r.status_code, r.json())
  belvo.exceptions.RequestError: (400, [{'field': 'link', 'message': "'340eb1bc-1cd0-433c-9009-d4816313ff' is not a valid UUID.", 'code': 'invalid'}])

0.6.0

- Allow updating existing Link

0.5.0

- Add support for tax returns resource

0.4.0

* Allow  and implement `client.Invoices.get()`

0.3.0

- Added support for `Invoices`
  - Fixed missing argument `save_data` to allow non-persistent requests.

0.2.0